#!/bin/bash
set -e

VIRTUALENV=cache/"$1"-venv-"$(hostname)"
rm -rf "$VIRTUALENV"
trap 'rm -rf "$VIRTUALENV"' EXIT
python -m venv "$VIRTUALENV"
source "$VIRTUALENV"/bin/activate
pip install -U pip
pip install -r requirements/"${0%.*}".txt
trap '' EXIT
